## OGMRipSourceChooser

OGMRipSourceChooser — Source chooser interface used by OGMRipSourceChooserWidget

## Functions

void | ogmrip_source_chooser_set_title ()
OGMDvdTitle * | ogmrip_source_chooser_get_title ()
OGMRipSource * | ogmrip_source_chooser_get_active ()
void | ogmrip_source_chooser_select_language ()

## Properties

gpointer | source | Read / Write
gpointer | title | Read / Write

## Types and Values

enum | OGMRipSourceType
| OGMRipSourceChooser
struct | OGMRipSourceChooserIface

## Object Hierarchy

        GInterface
        ╰── OGMRipSourceChooser

## Prerequisites

OGMRipSourceChooser requires GtkWidget.

## Includes

    #include <ogmrip-source-chooser.h>

## Description

## Functions

### ogmrip_source_chooser_set_title ()

    void
    ogmrip_source_chooser_set_title (OGMRipSourceChooser *chooser,
                                     OGMDvdTitle *title);

Sets the OGMDvdTitle from which to select the source.

#### Parameters

chooser | An OGMRipSourceChooser |
title | An OGMDvdTitle |

### ogmrip_source_chooser_get_title ()

    OGMDvdTitle *
    ogmrip_source_chooser_get_title (OGMRipSourceChooser *chooser);

Returns the OGMDvdTitle which was passed to `ogmrip_source_chooser_set_title()`.

#### Parameters

chooser | An OGMRipSourceChooser |

#### Returns

The current OGMDvdTitle

### ogmrip_source_chooser_get_active ()

    OGMRipSource *
    ogmrip_source_chooser_get_active (OGMRipSourceChooser *chooser,
                                      OGMRipSourceType *type);

Returns the active source and its type.

#### Parameters

chooser | An OGMRipSourceChooser |
type | A pointer to store the type of the chooser |

#### Returns

The active OGMRipSource

### ogmrip_source_chooser_select_language ()

    void
    ogmrip_source_chooser_select_language (OGMRipSourceChooser *chooser,
                                           gint language);

Select the first source entry of the chosen language.

#### Parameters

chooser | An OGMRipSourceChooser |
language | The language to select |

## Types and Values

### enum OGMRipSourceType

The type of a source

#### Members

OGMRIP_SOURCE_INVALID | This is not a valid source |
OGMRIP_SOURCE_NONE | No source is selected |
OGMRIP_SOURCE_STREAM | The source is a DVD stream |
OGMRIP_SOURCE_FILE | The source is a file |

### OGMRipSourceChooser

    typedef struct _OGMRipSourceChooser OGMRipSourceChooser;

### struct OGMRipSourceChooserIface

    struct OGMRipSourceChooserIface {
      GTypeInterface base_iface;

      void           (* set_title)       (OGMRipSourceChooser *chooser,
                                          OGMDvdTitle         *title);
      OGMDvdTitle *  (* get_title)       (OGMRipSourceChooser *chooser);

      OGMRipSource * (* get_active)      (OGMRipSourceChooser *chooser,
                                          OGMRipSourceType    *type);
      void           (* select_language) (OGMRipSourceChooser *chooser,
                                          gint                language);
    };

## Property Details

### The `“source”` property

      “source”                   gpointer

The active source.

Flags: Read / Write

### The `“title”` property

      “title”                    gpointer

The DVD title.

Flags: Read / Write